summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..0128748
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,25 @@
+#/bin/bash
+
+#!/bin/sh
+
+PROJECT=gnome-observer-daemon
+
+topsrcdir=`dirname $0`
+if test x$topsrcdir = x ; then
+ topsrcdir=.
+fi
+
+(test -f $topsrcdir/configure.ac \
+ && test -f $topsrcdir/README \
+ && test -d $topsrcdir/src) || {
+ echo -n "**Error**: Directory "\`$topsrcdir\'" does not look like the"
+ echo " top-level $PROJECT directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+REQUIRED_AUTOMAKE_VERSION=1.7 . gnome-autogen.sh
+